// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	models "bots-ms/models"

	mock "github.com/stretchr/testify/mock"

	ms_sharedmodels "gitlab.com/nikita.morozov/ms-shared/models"
)

// ScenarioActionRepository is an autogenerated mock type for the ScenarioActionRepository type
type ScenarioActionRepository struct {
	mock.Mock
}

// Create provides a mock function with given fields: item
func (_m *ScenarioActionRepository) Create(item *models.ScenarioAction) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.ScenarioAction) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Delete provides a mock function with given fields: item
func (_m *ScenarioActionRepository) Delete(item *models.ScenarioAction) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.ScenarioAction) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// GetById provides a mock function with given fields: id
func (_m *ScenarioActionRepository) GetById(id uint) (*models.ScenarioAction, error) {
	ret := _m.Called(id)

	var r0 *models.ScenarioAction
	if rf, ok := ret.Get(0).(func(uint) *models.ScenarioAction); ok {
		r0 = rf(id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.ScenarioAction)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// List provides a mock function with given fields: scenarioId, opt
func (_m *ScenarioActionRepository) List(scenarioId uint, opt *ms_sharedmodels.ListOptions) (*[]models.ScenarioAction, error) {
	ret := _m.Called(scenarioId, opt)

	var r0 *[]models.ScenarioAction
	if rf, ok := ret.Get(0).(func(uint, *ms_sharedmodels.ListOptions) *[]models.ScenarioAction); ok {
		r0 = rf(scenarioId, opt)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.ScenarioAction)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint, *ms_sharedmodels.ListOptions) error); ok {
		r1 = rf(scenarioId, opt)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Update provides a mock function with given fields: item
func (_m *ScenarioActionRepository) Update(item *models.ScenarioAction) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.ScenarioAction) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
